<template>
  <div id="app">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-10" style="margin-top: 30px">
          <h2>
            <img v-bind:src="logo" alt="Logo" />
            Simple CRM: {{companyName}} 
          </h2>
        </div>
      </div>
      <hr />
      <div class="row">
        <div class="col-md-2">
          <ul class="list-group">
            <li class="list-group-item" v-for="link in $router.options.routes" :key="link.path" v-bind:class="{ active: isActiveLink(link.path) }">
              <a v-bind:href="link.path">{{ link.label }}</a>
            </li>
          </ul>
        </div>

        <div class="col-md-10">

          <div>
            <nav aria-label="breadcrumb">
              <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Заказы</a></li>
                <li class="breadcrumb-item active" aria-current="page">Иванов Иван Иванович</li>
              </ol>
            </nav>
          </div>

          <router-view/>

        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'App',
  data: function() {
    return {
      companyName: 'Фотостудия "Ананас"',
      logo: '/img/logo.svg'
    }   
  },
  methods: {
    isActiveLink: function(path) {
      return path === this.$route.path
    }
  },
  mounted: function() {

  }
}
</script>